# Constant Field Values

## Contents

- net.postgis.*

## net.postgis.*

net.postgis.jdbc.geometry.Geometry
Modifier and Type
Constant Field
Value
`public static final int`
`GEOMETRYCOLLECTION`
`7`
`public static final int`
`LINEARRING`
`0`
`public static final int`
`LINESTRING`
`2`
`public static final int`
`MULTILINESTRING`
`5`
`public static final int`
`MULTIPOINT`
`4`
`public static final int`
`MULTIPOLYGON`
`6`
`public static final int`
`POINT`
`1`
`public static final int`
`POLYGON`
`3`
`public static final int`
`UNKNOWN_SRID`
`0`
net.postgis.jdbc.geometry.GeometryBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`SRIDPREFIX`
`"SRID="`
net.postgis.jdbc.geometry.GeometryCollection
Modifier and Type
Constant Field
Value
`public static final String`
`GeoCollID`
`"GEOMETRYCOLLECTION"`
net.postgis.jdbc.geometry.Point
Modifier and Type
Constant Field
Value
`public static final boolean`
`CUTINTS`
`true`

net.postgis.jdbc.geometry.binary.ValueGetter.NDR
Modifier and Type
Constant Field
Value
`public static final byte`
`NUMBER`
`0x1`
net.postgis.jdbc.geometry.binary.ValueGetter.XDR
Modifier and Type
Constant Field
Value
`public static final byte`
`NUMBER`
`0x0`
net.postgis.jdbc.geometry.binary.ValueSetter.NDR
Modifier and Type
Constant Field
Value
`public static final byte`
`NUMBER`
`0x1`
net.postgis.jdbc.geometry.binary.ValueSetter.XDR
Modifier and Type
Constant Field
Value
`public static final byte`
`NUMBER`
`0x0`

net.postgis.jdbc.geometry.util.VersionUtil
Modifier and Type
Constant Field
Value
`public static final String`
`NONEXISTENT_FUNCTION_ERROR_MESSAGE_CONTENT`
`"does not exist"`
`public static final String`
`POSTGIS_SERVER_VERSION_SEPERATOR`
`"."`